---
lang: en
title: 'API docs: authorization.role'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.role.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [Role](./authorization.role.md)

## Role interface

Represent a group of principals that have the same authority. There are two types of roles:

- explicit - implicit

<b>Signature:</b>

```typescript
export interface Role 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [name](./authorization.role.name.md) | <code>string</code> | Name/id |


